Bug 865734 - Add configure support for adding userspace probes in systemtap
Add configure support for adding userspace probes in systemtap
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: krishnan parthasarathi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 05:27 EDT by krishnan parthasarathi
Modified: 2015-11-03 18:04 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:00:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description krishnan parthasarathi 2012-10-12 05:27:49 EDT
Description of problem:
Support for adding support for adding userspace probes in glusterfs is missing.

Version-Release number of selected component (if applicable):
N/A

How reproducible:
N/A

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
For more details on systemtap: http://sourceware.org/systemtap/
Comment 1 krishnan parthasarathi 2012-10-12 06:12:59 EDT
Submitted http://review.gluster.org/3638 for review.
Comment 2 Vijay Bellur 2012-10-12 12:17:08 EDT
CHANGE: http://review.gluster.org/3638 (core: Add support for systemtap) merged in master by Anand Avati (avati@redhat.com)
Comment 3 Anand Avati 2015-02-03 05:35:01 EST
REVIEW: http://review.gluster.org/9564 (build: don't report (hide) systemtap config option) posted (#1) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 4 Anand Avati 2015-03-10 11:42:20 EDT
REVIEW: http://review.gluster.org/9564 (build: don't report (hide) systemtap config option) posted (#2) for review on master by Kaleb KEITHLEY (kkeithle@redhat.com)
Comment 5 Anand Avati 2015-03-10 13:22:27 EDT
COMMIT: http://review.gluster.org/9564 committed in master by Kaleb KEITHLEY (kkeithle@redhat.com) 
------
commit 8f34055a2300cafadc03178ce03c7ce998399991
Author: Kaleb S. KEITHLEY <kkeithle@redhat.com>
Date:   Tue Feb 3 05:30:50 2015 -0500

    build: don't report (hide) systemtap config option
    
    We don't actually support systemtap. We don't have any systemtap
    enablement. The configure doesn't actually do anything to configure
    systemtap support. It's confusing to show that systemtap is disabled,
    someone might try to run --enable-systemtap, and then we'll show that
    it's enabled, but it still doesn't actually do anything.
    
    Hide it until such time as we actually have some real systemtap support
    
    Change-Id: I8617121bee5bc724027e5f4d5eed00fd3c5a4ab2
    BUG: 865734
    Signed-off-by: Kaleb S. KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/9564

Note You need to log in before you can comment on or make changes to this bug.